<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.205
Description: Assessment Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000">
   <title>Assessment Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]
Item: (AssessmentSection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section"
         id="tmp-91dec3b4-7f4e-4e27-ab3c-134dc3a1a9e5">
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']|hl7:code|hl7:title|hl7:text|hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]|hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]))=0">(AssessmentSection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&gt;=1 ">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'])&lt;=1">(AssessmentSection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(AssessmentSection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:code)&lt;=1">(AssessmentSection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:title)&gt;=1 ">(AssessmentSection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:title)&lt;=1">(AssessmentSection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(AssessmentSection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="count(hl7:text)&lt;=1">(AssessmentSection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.205']"
         id="tmp-289a0237-cfaf-4de1-b5ba-196a2fa3535c">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.205'">(AssessmentSection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.205' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(AssessmentSection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:code
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:code"
         id="tmp-cee68ba4-6a35-4854-913a-a5cff9ed7d7b">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="@nullFlavor or (@code='51848-0' and @codeSystem='2.16.840.1.113883.6.1')">(AssessmentSection): de waarde van @code/@codeSystem MOET ''51848-0' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:title
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:title"
         id="tmp-3696dce4-e7a6-4930-8994-98f759e53301">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="text()='Beoordeling'">(AssessmentSection): de element content van hl7:title MOET ''Beoordeling'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:text
Item: (AssessmentSection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:text"
         id="tmp-c6466b48-c4f5-4ea3-8200-d0ab21b16ffe">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(AssessmentSection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SD.TEXT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]
Item: (AssessmentSection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.333']]]"
         id="tmp-632a47a5-7a15-4dc3-b142-e30984dcb542">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.205
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]
Item: (AssessmentSection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.205']]/hl7:section/hl7:entry[hl7:act[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.332']]]"
         id="tmp-2e2678ba-9e9d-46c9-ab9e-998042aec7af">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.205-2012-07-04T000000.html"
              test="string(@typeCode)='DRIV'">(AssessmentSection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
