<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.208
Description: Conclusion Colonoscopy Section
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000">
   <title>Conclusion Colonoscopy Section</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]
Item: (ConclusionColonoscopySection)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section
Item: (ConclusionColonoscopySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section"
         id="tmp-752d9c9c-bedd-45da-8e87-c8bdb4bf53c5">
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208']|hl7:code|hl7:title|hl7:text|hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.380']]]))=0">(ConclusionColonoscopySection): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208'])&gt;=1 ">(ConclusionColonoscopySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208'])&lt;=1">(ConclusionColonoscopySection): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(ConclusionColonoscopySection): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:code)&lt;=1">(ConclusionColonoscopySection): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:title)&gt;=1 ">(ConclusionColonoscopySection): element hl7:title is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:title)&lt;=1">(ConclusionColonoscopySection): element hl7:title komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:text)&gt;=1 and not(hl7:text/@nullFlavor)">(ConclusionColonoscopySection): element hl7:text is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="count(hl7:text)&lt;=1">(ConclusionColonoscopySection): element hl7:text komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208']
Item: (ConclusionColonoscopySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.208']"
         id="tmp-297d034c-4d60-49c6-990b-3228243524f6">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionColonoscopySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.208'">(ConclusionColonoscopySection): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.208' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(ConclusionColonoscopySection): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:code
Item: (ConclusionColonoscopySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:code"
         id="tmp-5c737fa4-ae51-4cf8-9a9a-dde01bc18c83">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionColonoscopySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="@nullFlavor or (@code='55110-1' and @codeSystem='2.16.840.1.113883.6.1')">(ConclusionColonoscopySection): de waarde van @code/@codeSystem MOET ''55110-1' codeSystem '2.16.840.1.113883.6.1'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:title
Item: (ConclusionColonoscopySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:title"
         id="tmp-2c0b548f-938e-473e-866e-527e2e912b77">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='ST' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionColonoscopySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ST" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="text()='Eindconclusies'">(ConclusionColonoscopySection): de element content van hl7:title MOET ''Eindconclusies'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:text
Item: (ConclusionColonoscopySection)
-->

<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:text"
         id="tmp-639da46c-81a5-4339-8bd2-99220de67873">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="@nullFlavor or ($xsiLocalName='SD.TEXT' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(ConclusionColonoscopySection): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "SD.TEXT" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="SD.TEXT"/>
      <let name="theValue" value="@value"/>
   </rule>


   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.208
Context: *[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.380']]]
Item: (ConclusionColonoscopySection)
-->
<rule context="*[hl7:section[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.208']]/hl7:section/hl7:entry[hl7:observation[hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.380']]]"
         id="tmp-c83a33f8-3de6-4edc-8e30-7efe1d807098">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.208-2012-07-04T000000.html"
              test="string(@typeCode)='DRIV'">(ConclusionColonoscopySection): de waarde van @typeCode MOET 'DRIV' zijn.</assert>
   </rule>
</pattern>
