<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.306
Description: Template: Ernstincidentcomplicatie
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000">
   <title>Ernst incident/complicatie</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]
Item: (Ernstincidentcomplicatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation"
         id="tmp-c6340bc2-dca0-4800-a03e-df6d97cd2336">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="string(@classCode)='OBS'">(Ernstincidentcomplicatie): de waarde van @classCode MOET 'OBS' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="string(@moodCode)='EVN'">(Ernstincidentcomplicatie): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306']|hl7:id|hl7:code|hl7:text|hl7:statusCode|hl7:value))=0">(Ernstincidentcomplicatie): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306'])&gt;=1 ">(Ernstincidentcomplicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306'])&lt;=1">(Ernstincidentcomplicatie): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:id)&lt;=1">(Ernstincidentcomplicatie): element hl7:id komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Ernstincidentcomplicatie): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:code)&lt;=1">(Ernstincidentcomplicatie): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:text)&lt;=1">(Ernstincidentcomplicatie): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:statusCode)&gt;=1 and not(hl7:statusCode/@nullFlavor)">(Ernstincidentcomplicatie): element hl7:statusCode is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:statusCode)&lt;=1">(Ernstincidentcomplicatie): element hl7:statusCode komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:value)&gt;=1 and not(hl7:value/@nullFlavor)">(Ernstincidentcomplicatie): element hl7:value is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:value)&lt;=1">(Ernstincidentcomplicatie): element hl7:value komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306']
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.306']"
         id="tmp-42f5bba1-a70f-4069-80a8-caa6dcb247a0">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ernstincidentcomplicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.306'">(Ernstincidentcomplicatie): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.306' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Ernstincidentcomplicatie): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:id
Item: (Ernstincidentcomplicatie)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:code
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:code"
         id="tmp-78130465-f14e-4189-bfdf-b8b4c486aa85">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ernstincidentcomplicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or (@code='SEV' and @codeSystem='2.16.840.1.113883.5.4')">(Ernstincidentcomplicatie): de waarde van @code/@codeSystem MOET ''SEV' codeSystem '2.16.840.1.113883.5.4'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:text
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:text"
         id="tmp-f077565a-bb92-487e-a779-91a8af90592e">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ernstincidentcomplicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(* except (hl7:reference))=0">(Ernstincidentcomplicatie): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Ernstincidentcomplicatie): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="count(hl7:reference)&lt;=1">(Ernstincidentcomplicatie): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:text/hl7:reference
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:text/hl7:reference"
         id="tmp-9e645cfa-b8c2-4440-a867-4fd699a67a03">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ernstincidentcomplicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:statusCode
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:statusCode"
         id="tmp-08e8997d-c844-437a-9066-e1802b5b2732">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='CS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ernstincidentcomplicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or (@code='completed')">(Ernstincidentcomplicatie): de waarde van @code MOET ''completed'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.306
Context: *[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:value
Item: (Ernstincidentcomplicatie)
-->

<rule context="*[hl7:observation[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.306']]/hl7:observation/hl7:value"
         id="tmp-c3d9e4a7-1741-4185-9cef-83938773daf7">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Ernstincidentcomplicatie): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validCodeOrCodeSystemFound"
           value="concat(exists(document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.36-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]]), '')"/>
      <let name="validNullFlavorsFound"
           value="concat((document('include/voc-2.16.840.1.113883.2.4.3.36.77.11.36-DYNAMIC.xml')/*/valueSet/conceptList/exception[@codeSystem = '2.16.840.1.113883.5.1008'][@code = $theNullFlavor]/@displayName[1]), '')"/>
      <let name="explicitExceptions" value="''"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="@nullFlavor or contains($validCodeOrCodeSystemFound,'true')">(Ernstincidentcomplicatie): de waarde van @code MOET worden gekozen uit waardenlijst vs_ernst_complicatie Ernst complicatie DYNAMIC. NB: codeSystemVersion MOET exact overeenkomen indien gespecificeerd in de waardenlijst.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.306-2012-04-07T000000.html"
              test="not(@nullFlavor) or string-length($validNullFlavorsFound)&gt;0 or contains($explicitExceptions, concat('|', $theNullFlavor, '|'))">(Ernstincidentcomplicatie): de nulwaarde voor @code MOET komen uit de set die is gedefinieerd voor dit attribuut of zijn gekoppeld aan waardenlijst vs_ernst_complicatie Ernst complicatie DYNAMIC.</assert>
   </rule>
</pattern>
