<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.2.4.3.36.10.321
Description: Template: Intubatie tijd
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000">
   <title>Intubation of colon</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]
Item: (Intubationofcolon)
-->

<!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure"
         id="tmp-9af3000c-e42b-4228-b7ca-633cb3f46e15">
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@classCode)='PROC'">(Intubationofcolon): de waarde van @classCode MOET 'PROC' zijn.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@moodCode)='EVN'">(Intubationofcolon): de waarde van @moodCode MOET 'EVN' zijn.</assert>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(* except (hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']|hl7:code|hl7:text|hl7:effectiveTime))=0">(Intubationofcolon): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&gt;=1 ">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'])&lt;=1">(Intubationofcolon): element hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321'] komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code)&gt;=1 and not(hl7:code/@nullFlavor)">(Intubationofcolon): element hl7:code is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:code)&lt;=1">(Intubationofcolon): element hl7:code komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:text)&lt;=1">(Intubationofcolon): element hl7:text komt te vaak voor [max 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 ">(Intubationofcolon): element hl7:effectiveTime is required [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(Intubationofcolon): element hl7:effectiveTime komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:templateId[@root='2.16.840.1.113883.2.4.3.36.10.321']"
         id="tmp-96e438ad-12e1-46bf-9ad1-68c451b92426">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='II' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "II" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="string(@root)='2.16.840.1.113883.2.4.3.36.10.321'">(Intubationofcolon): @root MOET de waarde '2.16.840.1.113883.2.4.3.36.10.321' hebben.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="matches(string(@root), '^[0-2](\.(0|[1-9][0-9]*))*$') or matches(string(@root), '^[0-9a-zA-Z]{8}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{4}-[0-9a-zA-Z]{12}$')">(Intubationofcolon): @root attribuut MOET een syntactisch correcte UUID of OID zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:code
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:code"
         id="tmp-0f6e19fd-0e44-4daf-9efa-b584a339ff2d">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='CE' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "CE" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or (@code='84391005' and @codeSystem='2.16.840.1.113883.6.96')">(Intubationofcolon): de waarde van @code/@codeSystem MOET ''84391005' codeSystem '2.16.840.1.113883.6.96'' zijn.</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text"
         id="tmp-2603a520-a752-4783-9205-d5ce8fc23284">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='ED' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "ED" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="ED"/>
      <let name="theValue" value="text()"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(* except (hl7:reference))=0">(Intubationofcolon): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference)&gt;=1 and not(hl7:reference/@nullFlavor)">(Intubationofcolon): element hl7:reference is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:reference)&lt;=1">(Intubationofcolon): element hl7:reference komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text/hl7:reference
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:text/hl7:reference"
         id="tmp-31e32a69-123a-4e8c-9b43-bf11399cc707">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='TEL' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "TEL" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="TEL"/>
      <let name="theValue" value="@value"/>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime"
         id="tmp-b6fcde63-f5a9-4208-9816-d6d3fe38ab4f">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='IVL_TS' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "IVL_TS" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="IVL_TS"/>
      <let name="theValue" value="@value"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(* except (hl7:width))=0">(Intubationofcolon): element is gedefinieerd als gesloten. Alleen gedefinieerde elementen zijn toegestaan.</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width)&gt;=1 and not(hl7:width/@nullFlavor)">(Intubationofcolon): element hl7:width is mandatory [min 1x].</assert>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="count(hl7:width)&lt;=1">(Intubationofcolon): element hl7:width komt te vaak voor [max 1x].</assert>
   </rule>

   <!--
Template derived rules for ID: 2.16.840.1.113883.2.4.3.36.10.321
Context: *[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime/hl7:width
Item: (Intubationofcolon)
-->

<rule context="*[hl7:procedure[hl7:templateId/@root='2.16.840.1.113883.2.4.3.36.10.321']]/hl7:procedure/hl7:effectiveTime/hl7:width"
         id="tmp-1bb506f0-880a-455b-b299-f17c20eccd54">
      <let name="xsiLocalName"
           value="if (contains(@xsi:type, ':')) then substring-after(@xsi:type,':') else @xsi:type"/>
      <let name="xsiLocalNS"
           value="if (contains(@xsi:type, ':')) then namespace-uri-for-prefix(substring-before(@xsi:type,':'),.) else namespace-uri-for-prefix('',.)"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="@nullFlavor or ($xsiLocalName='PQ' and $xsiLocalNS='urn:hl7-org:v3') or not(@xsi:type)">(Intubationofcolon): indien er een @xsi:type instructie aanwezig is MOET deze de waarde "PQ" bevatten, gevonden "{<value-of select="$xsiLocalNS"/>}:<value-of select="$xsiLocalName"/>"</assert>
      <extends rule="PQ"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="(@nullFlavor or (@unit='min'))">(Intubationofcolon): value MOET eenheid 'min' gebruiken </assert>
      <let name="digitok"
           value="matches(string($theValue), '^[-+]?[0-9]*\.?[0-9]+([eE][-+]?[0-9]+)?$')"/>
      <assert role="error"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$digitok or @nullFlavor">(Intubationofcolon): @value is geen geldig PQ getal <value-of select="$theValue"/>
      </assert>
      <let name="theUnit" value="@unit"/>
      <let name="UCUMtest"
           value="document('include/voc-UCUM.xml')/*/ucum[@unit=$theUnit]/@message"/>
      <assert role="warning"
              see="http://decor.nictiz.nl/rivmsp/rivmsp-html-20130308T132729/tmp-2.16.840.1.113883.2.4.3.36.10.321-2012-04-10T000000.html"
              test="$UCUMtest='OK' or string-length($UCUMtest)=0">(Intubationofcolon): value/@unit (PQ) MOET een geldige UCUM-eenheid zijn (<value-of select="$UCUMtest"/>).</assert>
   </rule>
</pattern>
